Delete a pronunciation rule
curl --request DELETE \
--url https://api.voxnexus.ai/v1/tts/intervention/entries/{entry_id} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.voxnexus.ai/v1/tts/intervention/entries/{entry_id}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.voxnexus.ai/v1/tts/intervention/entries/{entry_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voxnexus.ai/v1/tts/intervention/entries/{entry_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voxnexus.ai/v1/tts/intervention/entries/{entry_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.voxnexus.ai/v1/tts/intervention/entries/{entry_id}")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.voxnexus.ai/v1/tts/intervention/entries/{entry_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"error": "Invalid request parameters",
"code": "INVALID_REQUEST",
"details": "Detailed error information",
"request_id": "req_1234567890"
}{
"error": "Invalid request parameters",
"code": "INVALID_REQUEST",
"details": "Detailed error information",
"request_id": "req_1234567890"
}{
"error": "Invalid request parameters",
"code": "INVALID_REQUEST",
"details": "Detailed error information",
"request_id": "req_1234567890"
}{
"error": "Invalid request parameters",
"code": "INVALID_REQUEST",
"details": "Detailed error information",
"request_id": "req_1234567890"
}{
"error": "Invalid request parameters",
"code": "INVALID_REQUEST",
"details": "Detailed error information",
"request_id": "req_1234567890"
}{
"error": "Invalid request parameters",
"code": "INVALID_REQUEST",
"details": "Detailed error information",
"request_id": "req_1234567890"
}tts-intervention
Delete a pronunciation rule
DELETE
/
v1
/
tts
/
intervention
/
entries
/
{entry_id}
Delete a pronunciation rule
curl --request DELETE \
--url https://api.voxnexus.ai/v1/tts/intervention/entries/{entry_id} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.voxnexus.ai/v1/tts/intervention/entries/{entry_id}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.voxnexus.ai/v1/tts/intervention/entries/{entry_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voxnexus.ai/v1/tts/intervention/entries/{entry_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voxnexus.ai/v1/tts/intervention/entries/{entry_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.voxnexus.ai/v1/tts/intervention/entries/{entry_id}")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.voxnexus.ai/v1/tts/intervention/entries/{entry_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"error": "Invalid request parameters",
"code": "INVALID_REQUEST",
"details": "Detailed error information",
"request_id": "req_1234567890"
}{
"error": "Invalid request parameters",
"code": "INVALID_REQUEST",
"details": "Detailed error information",
"request_id": "req_1234567890"
}{
"error": "Invalid request parameters",
"code": "INVALID_REQUEST",
"details": "Detailed error information",
"request_id": "req_1234567890"
}{
"error": "Invalid request parameters",
"code": "INVALID_REQUEST",
"details": "Detailed error information",
"request_id": "req_1234567890"
}{
"error": "Invalid request parameters",
"code": "INVALID_REQUEST",
"details": "Detailed error information",
"request_id": "req_1234567890"
}{
"error": "Invalid request parameters",
"code": "INVALID_REQUEST",
"details": "Detailed error information",
"request_id": "req_1234567890"
}Authorizations
Authenticate using X-Api-Key header
Path Parameters
Required range:
x >= 1Query Parameters
Used only to resolve the provider; rules belong to the authenticated user.
Used only to resolve the provider; rules belong to the authenticated user.
Used only to resolve the provider; rules belong to the authenticated user.
Select a group owned by the authenticated user. For GET, PATCH, and DELETE, omission selects default. For POST, query or body may select the group; both must match if supplied, and omission of both selects default. PATCH and DELETE verify that the rule belongs to this group. Opaque group ID owned by the authenticated user; default is the built-in group. Use the ID returned by group creation.
Required string length:
1 - 64Pattern:
^[A-Za-z0-9_-]+$Example:
"default"
Response
Deleted

